/*
 * vdr-podcatcher - A plugin for the Linux Video Disk Recorder
 * Copyright (c) 2006 Tobias Grimm <vdr@e-tobi.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * $Id: download.cc 2515 2006-01-29 01:16:17Z svntobi $
 *
 */

#include "download.h"

using namespace std;

Download::Download(string url)
:url(url), size(-1), downloaded(-1)
{
}

string Download::GetUrl()
{
    return url;
}

long long Download::GetSize()
{
    return size;
}

void Download::SetSize(long long size)
{
    this->size = size;
}

long long Download::GetDownloaded()
{
    return downloaded;
}

void Download::SetDownloaded(long long downloaded)
{
    this->downloaded = downloaded;
}
